Skip to main content
GET
/
api
/
v1
/
notifications
List my notifications
curl --request GET \
  --url https://mcp.echozero.app/api/v1/notifications \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "items": [
      {
        "id": "<string>",
        "title": "<string>",
        "body": "<string>",
        "sendsAt": "2023-11-07T05:31:56Z",
        "markAsRead": true,
        "notificationTokens": [
          "<string>"
        ],
        "user": "<string>",
        "wsProcessedAt": "2023-11-07T05:31:56Z",
        "fbProcessedAt": "2023-11-07T05:31:56Z",
        "webPushLink": "<string>",
        "androidActionClick": "<string>",
        "iosCategory": "<string>",
        "imageUrl": "<string>",
        "template": "<string>",
        "event": "<string>",
        "customNotification": "<string>",
        "isClicked": true,
        "fbTitle": "<string>",
        "fbBody": "<string>"
      }
    ],
    "pagination": {
      "total": 123,
      "limit": 123,
      "page": 123,
      "totalPages": 123,
      "hasNextPage": true,
      "hasPreviousPage": true
    },
    "totalUnreadCount": 123
  }
}

Authorizations

x-api-key
string
header
required

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Query Parameters

limit
number
default:20

Page size (max 100)

offset
number
default:0
order
enum<string>
default:DESC
Available options:
ASC,
DESC
orderBy
enum<string>
default:_id
Available options:
_id,
sendsAt,
markAsRead
query
string

Search in title and body (same as GraphQL filter.query)

types
string

Comma-separated NotificationType values (e.g. NEW_PICKS,WALLET_UPDATE)

unreadOnly
boolean

true = unread only, false = read only, omit = all

Response

Paginated notifications with unread total.

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload